Package org.jboss.resteasy.plugins.providers.multipart

## Class XopWithMultipartRelatedJAXBProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>
  - - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider<Object>
    - - org.jboss.resteasy.plugins.providers.multipart.XopWithMultipartRelatedJAXBProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<Object>`, `javax.ws.rs.ext.MessageBodyWriter<Object>`, `AsyncBufferedMessageBodyWriter<Object>`, `AsyncMessageBodyWriter<Object>`

      public class XopWithMultipartRelatedJAXBProvider
      extends AbstractJAXBProvider<Object>

  A special JAXB Provider. It is not a real provider, it is only used as a helper class inside `XopWithMultipartRelatedReader` and `XopWithMultipartRelatedWriter`.
  Version:
    $Revision: 1 $
  Author:
    Attila Kiraly

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `providers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XopWithMultipartRelatedJAXBProvider​(javax.ws.rs.ext.Providers providers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `isReadWritable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `Object` | `readFrom​(Class<Object> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream entityStream, MultipartRelatedInput xopPackage)` |
    `void` | `writeTo​(Object t, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, MultipartRelatedOutput xopPackage)` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBProvider

      `decorateMarshaller, decorateUnmarshaller, findJAXBContext, getCharset, getMarshaller, isDisableDTDs, isDisableExternalEntities, isEnableSecureProcessingFeature, isReadable, isWriteable, needsSecurity, processWithSecureProcessing, readFrom, setCharset, setDisableDTDs, setDisableExternalEntities, setEnableSecureProcessingFeature, writeTo`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.AbstractEntityProvider

      `getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.core.messagebody.AsyncBufferedMessageBodyWriter

      `asyncWriteTo`

    - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter

      `getSize`

- - ### Constructor Detail

    - #### XopWithMultipartRelatedJAXBProvider

          public XopWithMultipartRelatedJAXBProvider​(javax.ws.rs.ext.Providers providers)

  - ### Method Detail

    - #### isReadWritable

          protected boolean isReadWritable​(Class<?> type,
                                           Type genericType,
                                           Annotation[] annotations,
                                           javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadWritable` in class `AbstractJAXBProvider<Object>`

    - #### readFrom

          public Object readFrom​(Class<Object> type,
                                 Type genericType,
                                 Annotation[] annotations,
                                 javax.ws.rs.core.MediaType mediaType,
                                 javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                 InputStream entityStream,
                                 MultipartRelatedInput xopPackage)
                          throws IOException

      Throws:
        `IOException`

    - #### writeTo

          public void writeTo​(Object t,
                              Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                              MultipartRelatedOutput xopPackage)
                       throws IOException

      Throws:
        `IOException`